General endpoints
Test connectivity
GET /api/v3/ping
Test connectivity to the Rest API.
Weight: 1
Parameters: NONE
Data Source: Memory
Response:
{}
Check server time
GET /api/v3/time
Test connectivity to the Rest API and get the current server time.
Weight: 1
Parameters: NONE
Data Source: Memory
Response:
{
"serverTime": 1499827319559
}
Exchange information
GET /api/v3/exchangeInfo
Current exchange trading rules and symbol information
Weight: 20
Parameters:
| Name | Type | Mandatory | Description |
|---|---|---|---|
| symbol | STRING | NO | Example: curl -X GET "https://api.binance.com/api/v3/exchangeInfo?symbol=BNBBTC" |
| symbols | ARRAY OF STRING | NO | Examples: curl -X GET "https://api.binance.com/api/v3/exchangeInfo?symbols=%5B%22BNBBTC%22,%22BTCUSDT%22%5D" or curl -g -X GET 'https://api.binance.com/api/v3/exchangeInfo?symbols=["BTCUSDT","BNBBTC"]' |
| permissions | ENUM | NO | Examples: curl -X GET "https://api.binance.com/api/v3/exchangeInfo?permissions=SPOT" curl -X GET "https://api.binance.com/api/v3/exchangeInfo?permissions=%5B%22MARGIN%22%2C%22LEVERAGED%22%5D" or curl -g -X GET 'https://api.binance.com/api/v3/exchangeInfo?permissions=["MARGIN","LEVERAGED"]' |
| showPermissionSets | BOOLEAN | NO | Default: true. Controls whether the content of the permissionSets field is populated or not. |
| symbolStatus | ENUM | NO | Filters for symbols that have this tradingStatus. Cannot be used in combination with symbols or symbol. |
Data Source: Memory
Notes:
- If the value provided to
symbolorsymbolsdo not exist, the endpoint will throw an error saying the symbol is invalid. - All parameters are optional.
permissionscan support single or multiple values (e.g.SPOT,["MARGIN","LEVERAGED"]). This cannot be used in combination withsymbolorsymbols.- If
permissionsparameter not provided, all symbols that have eitherSPOT,MARGIN, orLEVERAGEDpermission will be exposed.- To display symbols with any permission you need to specify them explicitly in
permissions: (e.g.["SPOT","MARGIN",...].). See Account and Symbol Permissions for the full list.
- To display symbols with any permission you need to specify them explicitly in
Examples of Symbol Permissions Interpretation from the Response:
[["A","B"]]means you may place an order if your account has either permission "A" or permission "B".[["A"],["B"]]means you can place an order if your account has permission "A" and permission "B".[["A"],["B","C"]]means you can place an order if your account has permission "A" and permission "B" or permission "C". (Inclusive or is applied here, not exclusive or, so your account may have both permission "B" and permission "C".)
Response:
{
"timezone": "UTC",
"serverTime": 1565246363776,
"rateLimits": [
{
"rateLimitType": "REQUEST_WEIGHT",
"interval": "MINUTE",
"intervalNum": 1,
"limit": 6000
},
{
"rateLimitType": "ORDERS",
"interval": "SECOND",
"intervalNum": 10,
"limit": 50
},
{
"rateLimitType": "ORDERS",
"interval": "DAY",
"intervalNum": 1,
"limit": 160000
},
{
"rateLimitType": "RAW_REQUESTS",
"interval": "MINUTE",
"intervalNum": 5,
"limit": 61000
}
],
// Exchange filters are explained on the "Filters" page:
// https://github.com/binance/binance-spot-api-docs/blob/master/filters.md
// All exchange filters are optional.
"exchangeFilters": [],
"symbols": [
{
"symbol": "ETHBTC",
"status": "TRADING",
"baseAsset": "ETH",
"baseAssetPrecision": 8,
"quoteAsset": "BTC",
"quotePrecision": 8, // will be removed in future api versions (v4+)
"quoteAssetPrecision": 8,
"baseCommissionPrecision": 8,
"quoteCommissionPrecision": 8,
"orderTypes": [
"LIMIT",
"LIMIT_MAKER",
"MARKET",
"STOP_LOSS",
"STOP_LOSS_LIMIT",
"TAKE_PROFIT",
"TAKE_PROFIT_LIMIT"
],
"icebergAllowed": true,
"ocoAllowed": true,
"otoAllowed": true,
"opoAllowed": true,
"quoteOrderQtyMarketAllowed": true,
"allowTrailingStop": false,
"cancelReplaceAllowed": false,
"amendAllowed": false,
"pegInstructionsAllowed": true,
"isSpotTradingAllowed": true,
"isMarginTradingAllowed": true,
// Symbol filters are explained on the "Filters" page:
// https://github.com/binance/binance-spot-api-docs/blob/master/filters.md
// All symbol filters are optional.
"filters": [],
"permissions": [],
"permissionSets": [
[
"SPOT",
"MARGIN"
]
],
"defaultSelfTradePreventionMode": "NONE",
"allowedSelfTradePreventionModes": [
"NONE"
]
}
],
// Optional field. Present only when SOR is available.
// https://github.com/binance/binance-spot-api-docs/blob/master/faqs/sor_faq.md
"sors": [
{
"baseAsset": "BTC",
"symbols": [
"BTCUSDT",
"BTCUSDC"
]
}
]
}
Query Execution Rules
GET /api/v3/executionRules
Query execution rules for symbols.
Weight:
| Parameter | Weight |
|---|---|
symbol | 2 |
symbols | 2 for each symbol, capped at a max of 40 |
symbolStatus | 40 |
| None | 40 |
Parameters:
| Name | Type | Mandatory | Description |
|---|---|---|---|
| symbol | STRING | NO | Query for specified symbol. |
| symbols | ARRAY OF STRING | NO | Query for multiple symbols. |
| symbolStatus | ENUM | NO | Query for all symbols with the specified status. |
Data Source: Memory
Note:: No combination of multiple parameters is allowed.
Response:
{
"symbolRules": [
{
"symbol": "BAZUSD",
"rules": [
{
"ruleType": "PRICE_RANGE",
"bidLimitMultUp": "1.0001",
"bidLimitMultDown": "0.9999",
"askLimitMultUp": "1.0001",
"askLimitMultDown": "0.9999"
}
]
}
]
}